﻿using SampSharp.GameMode;
using SampSharp.GameMode.World;
using RLS.Streamer;
using RLS.World.Entrances;

namespace RLS.World.Maps
{
    public class Hospital : Map
    {
        public override void Entrances()
        {
            new Entrance(new Vector3(-2643.3323, 640.1361, 14.4531), new Vector3(-2734.8047, 733.0756, 1381.7000))
                .CreateVisual("Ligoninė")
                .SetAngles(270, 180)
                .SetGroup(EntranceGroups.Hospital)
                .Exit += (_sender, _e) =>
                {
                    if (_e.player.InHospitalFor > 0)
                    {
                        _e.player.Error($"Kol nepasveikai negali išeiti iš ligoninės. Ligoninėje dar turi praleisti $s{_e.player.InHospitalFor}$m s.");
                        _e.Cancel = true;
                    }
                };
        }
        public override void CreateMap()
        {
            new GlobalObject(19340, new Vector3(-2650.6889600, 717.9190100, 1376.9499500), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2730.4838900, 746.0150100, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2720.8501000, 746.0159900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2730.4860800, 724.1409900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2730.6660200, 736.3729900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19383, new Vector3(-2735.3930700, 733.0709800, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19426, new Vector3(-2735.3940400, 735.4799800, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19426, new Vector3(-2735.3930700, 730.6630200, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19383, new Vector3(-2724.2451200, 736.3740200, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2722.5510300, 741.0980200, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19445, new Vector3(-2735.3090800, 741.2800300, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19340, new Vector3(-2652.9751000, 719.5029900, 1387.9029500), new Vector3(180.0000000, 0.0000000, 270.0000000));
            new DynamicObject(19445, new Vector3(-2735.3920900, 723.4379900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19445, new Vector3(-2721.0280800, 724.1409900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2722.5481000, 725.0000000, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19445, new Vector3(-2711.3601100, 724.1350100, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2701.7360800, 724.1409900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2711.2160600, 746.0159900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2701.5820300, 746.0159900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2691.9489700, 746.0159900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2682.3159200, 746.0159900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2679.7180200, 741.2869900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19445, new Vector3(-2677.7180200, 731.6539900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19445, new Vector3(-2677.7180200, 722.0189800, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19445, new Vector3(-2677.7180200, 712.3839700, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19445, new Vector3(-2697.0009800, 715.2340100, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19445, new Vector3(-2697.0009800, 705.5919800, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19445, new Vector3(-2677.7180200, 702.7500000, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19445, new Vector3(-2677.7180200, 693.1160300, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19445, new Vector3(-2697.0009800, 695.9580100, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19445, new Vector3(-2692.2719700, 697.0549900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2717.6420900, 729.7269900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19383, new Vector3(-2711.2189900, 729.7269900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2704.8081100, 729.7269900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2688.7829600, 729.7269900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2692.2028800, 695.7990100, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19383, new Vector3(-2692.2019000, 718.4169900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19445, new Vector3(-2692.2019000, 724.8189700, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19445, new Vector3(-2717.6420900, 736.3740200, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2704.6201200, 736.3740200, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19383, new Vector3(-2711.2180200, 736.3740200, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19383, new Vector3(-2698.1960400, 736.3740200, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2691.7729500, 736.3740200, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2675.7160600, 736.3740200, 1382.4339600), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2679.1489300, 729.7470100, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2697.0009800, 724.8690200, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19383, new Vector3(-2698.4160200, 729.7269900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19383, new Vector3(-2695.2060500, 729.7269900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2709.5271000, 741.1030300, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19445, new Vector3(-2692.9780300, 741.2789900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19383, new Vector3(-2685.3501000, 736.3740200, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2692.2019000, 711.8560200, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19383, new Vector3(-2692.2019000, 702.2210100, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19445, new Vector3(-2687.4770500, 716.7310200, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2677.8378900, 716.7310200, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19399, new Vector3(-2682.1389200, 736.3740200, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19399, new Vector3(-2692.2019000, 705.4320100, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19445, new Vector3(-2703.0690900, 724.8720100, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19444, new Vector3(-2702.1850600, 725.9149800, 1381.7629400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1491, new Vector3(-2699.1960400, 729.7470100, 1380.6540500), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2603, new Vector3(-2732.8720700, 737.6099900, 1381.0970500), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2603, new Vector3(-2728.9939000, 737.5910000, 1381.0970500), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2603, new Vector3(-2732.8720700, 744.7529900, 1381.0970500), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2603, new Vector3(-2728.9939000, 744.7529900, 1381.0970500), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1523, new Vector3(-2725.0319800, 736.3640100, 1380.6560100), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1523, new Vector3(-2712.0100100, 736.3640100, 1380.6560100), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1523, new Vector3(-2698.9870600, 736.3640100, 1380.6560100), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1523, new Vector3(-2712.0039100, 729.7470100, 1380.6560100), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19426, new Vector3(-2735.3930700, 729.0590200, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19435, new Vector3(-2724.3479000, 728.8060300, 1380.9470200), new Vector3(90.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19435, new Vector3(-2727.8330100, 728.8060300, 1380.9470200), new Vector3(90.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19435, new Vector3(-2727.8330100, 729.7710000, 1380.9480000), new Vector3(90.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19435, new Vector3(-2727.8330100, 729.0590200, 1381.6610100), new Vector3(0.0000000, 90.0000000, 0.0000000));
            new DynamicObject(19435, new Vector3(-2729.4980500, 729.0570100, 1380.4160200), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19435, new Vector3(-2724.3898900, 729.0590200, 1381.6610100), new Vector3(0.0000000, 90.0000000, 0.0000000));
            new DynamicObject(19435, new Vector3(-2724.3879400, 729.7710000, 1380.9480000), new Vector3(90.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19087, new Vector3(-2724.5590800, 729.7730100, 1385.3599900), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19087, new Vector3(-2722.6550300, 729.7730100, 1385.3599900), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19087, new Vector3(-2722.6311000, 729.7730100, 1382.9060100), new Vector3(0.0000000, 90.0000000, 0.0000000));
            new DynamicObject(19435, new Vector3(-2731.7500000, 729.0570100, 1380.4160200), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19435, new Vector3(-2733.5481000, 729.0590200, 1381.6610100), new Vector3(0.0000000, 90.0000000, 0.0000000));
            new DynamicObject(19435, new Vector3(-2733.5481000, 728.8060300, 1380.9470200), new Vector3(90.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19435, new Vector3(-2733.5481000, 729.7710000, 1380.9480000), new Vector3(90.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19087, new Vector3(-2726.4751000, 729.7730100, 1385.3599900), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19087, new Vector3(-2725.0849600, 729.7730100, 1382.9060100), new Vector3(0.0000000, 90.0000000, 0.0000000));
            new DynamicObject(19087, new Vector3(-2726.9589800, 729.7730100, 1382.9069800), new Vector3(0.0000000, 90.0000000, 0.0000000));
            new DynamicObject(19087, new Vector3(-2728.3911100, 729.7730100, 1385.3599900), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19087, new Vector3(-2729.4030800, 729.7730100, 1385.3599900), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19087, new Vector3(-2731.7028800, 729.7730100, 1385.3599900), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19087, new Vector3(-2731.6870100, 729.7730100, 1382.9069800), new Vector3(0.0000000, 90.0000000, 0.0000000));
            new DynamicObject(19087, new Vector3(-2733.6608900, 729.7730100, 1385.3599900), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19087, new Vector3(-2734.1411100, 729.7730100, 1382.9060100), new Vector3(0.0000000, 90.0000000, 0.0000000));
            new DynamicObject(19087, new Vector3(-2735.3020000, 729.7730100, 1385.3599900), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19445, new Vector3(-2714.0690900, 724.8720100, 1382.4360400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1523, new Vector3(-2686.1398900, 736.3640100, 1380.6560100), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2603, new Vector3(-2720.6999500, 744.7529900, 1381.0970500), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2603, new Vector3(-2716.9929200, 744.7730100, 1381.0970500), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2603, new Vector3(-2712.9939000, 744.7529900, 1381.0970500), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2603, new Vector3(-2714.1699200, 737.5910000, 1381.0970500), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2603, new Vector3(-2717.1699200, 737.5910000, 1381.0970500), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2603, new Vector3(-2704.5991200, 728.8469800, 1381.0970500), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(2603, new Vector3(-2712.7429200, 726.2930300, 1381.0970500), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(19445, new Vector3(-2682.6379400, 697.0549900, 1382.4360400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1523, new Vector3(-2692.2019000, 717.6649800, 1380.6560100), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1523, new Vector3(-2695.9939000, 729.7470100, 1380.6560100), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1523, new Vector3(-2692.2019000, 701.4730200, 1380.6560100), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1538, new Vector3(-2735.3798800, 732.3380100, 1380.6960400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19466, new Vector3(-2692.1840800, 705.1989700, 1382.3470500), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19466, new Vector3(-2682.2981000, 736.3930100, 1382.5810500), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2738, new Vector3(-2702.5190400, 724.9639900, 1381.2950400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2518, new Vector3(-2702.4628900, 726.4799800, 1380.5660400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2518, new Vector3(-2702.4790000, 728.0009800, 1380.5660400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2685, new Vector3(-2702.9580100, 727.7520100, 1382.5870400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(19874, new Vector3(-2702.8820800, 726.7999900, 1381.5019500), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19874, new Vector3(-2702.8869600, 728.3449700, 1381.5019500), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19873, new Vector3(-2702.8400900, 725.1110200, 1381.9730200), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1433, new Vector3(-2730.7548800, 737.0460200, 1380.8960000), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1433, new Vector3(-2730.9951200, 745.2860100, 1380.8960000), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1722, new Vector3(-2727.9480000, 736.5529800, 1380.6939700), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1722, new Vector3(-2734.1269500, 736.5600000, 1380.6939700), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1722, new Vector3(-2733.8840300, 745.8640100, 1380.6939700), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2727.9169900, 745.8170200, 1380.6939700), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1738, new Vector3(-2725.9550800, 745.7249800, 1381.2960200), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1738, new Vector3(-2724.6699200, 745.7150300, 1381.2960200), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2518, new Vector3(-2725.6731000, 736.9550200, 1380.7249800), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(2685, new Vector3(-2726.1899400, 736.4769900, 1382.5889900), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19874, new Vector3(-2725.9909700, 736.5139800, 1381.6619900), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19466, new Vector3(-2723.5920400, 729.7730100, 1384.0240500), new Vector3(90.0000000, 90.0000000, 0.0000000));
            new DynamicObject(19466, new Vector3(-2725.5080600, 729.7730100, 1384.0240500), new Vector3(90.0000000, 90.0000000, 0.0000000));
            new DynamicObject(19466, new Vector3(-2727.4240700, 729.7730100, 1384.0240500), new Vector3(90.0000000, 90.0000000, 0.0000000));
            new DynamicObject(19466, new Vector3(-2728.4240700, 729.7719700, 1384.0240500), new Vector3(90.0000000, 90.0000000, 0.0000000));
            new DynamicObject(19466, new Vector3(-2732.6760300, 729.7719700, 1384.0240500), new Vector3(90.0000000, 90.0000000, 0.0000000));
            new DynamicObject(19466, new Vector3(-2734.5920400, 729.7719700, 1384.0240500), new Vector3(90.0000000, 90.0000000, 0.0000000));
            new DynamicObject(2164, new Vector3(-2725.1489300, 724.2520100, 1380.6920200), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1714, new Vector3(-2728.2771000, 727.1870100, 1380.6960400), new Vector3(0.0000000, 0.0000000, 178.0000000));
            new DynamicObject(1714, new Vector3(-2726.4741200, 727.1810300, 1380.6960400), new Vector3(0.0000000, 0.0000000, 156.0000000));
            new DynamicObject(1714, new Vector3(-2724.0810500, 727.1580200, 1380.6960400), new Vector3(0.0000000, 0.0000000, 200.0000000));
            new DynamicObject(1714, new Vector3(-2733.0568800, 727.0919800, 1380.6960400), new Vector3(0.0000000, 0.0000000, 200.0000000));
            new DynamicObject(2164, new Vector3(-2723.1489300, 724.2520100, 1380.6920200), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(2164, new Vector3(-2727.1489300, 724.2520100, 1380.6920200), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(2164, new Vector3(-2735.2959000, 724.8820200, 1380.6920200), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2161, new Vector3(-2735.2959000, 726.8820200, 1380.6920200), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1722, new Vector3(-2728.9980500, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2727.9980500, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2726.9980500, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2725.9980500, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2722.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2721.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2720.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2715.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2714.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2713.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2709.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2708.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2707.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2712.8820800, 729.9520300, 1380.6760300), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1722, new Vector3(-2713.8820800, 729.9520300, 1380.6760300), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1722, new Vector3(-2709.8820800, 729.9520300, 1380.6760300), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1722, new Vector3(-2708.8820800, 729.9520300, 1380.6760300), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1722, new Vector3(-2707.8820800, 729.9520300, 1380.6760300), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1722, new Vector3(-2701.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2700.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2699.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2696.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2695.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2694.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2693.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2687.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2686.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2683.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2682.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2680.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2679.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2678.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2688.7041000, 736.1920200, 1380.6760300), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1997, new Vector3(-2679.2710000, 730.5739700, 1380.6929900), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1433, new Vector3(-2718.9951200, 745.2860100, 1380.8960000), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1722, new Vector3(-2715.9169900, 745.8170200, 1380.6939700), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1433, new Vector3(-2714.6169400, 745.2860100, 1380.8960000), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1738, new Vector3(-2710.6699200, 745.7150300, 1381.2960200), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1433, new Vector3(-2715.7548800, 737.0460200, 1380.8960000), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1722, new Vector3(-2721.9169900, 745.8170200, 1380.6939700), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2711.9169900, 745.8170200, 1380.6939700), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2712.9480000, 736.5529800, 1380.6939700), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1722, new Vector3(-2718.3679200, 736.5529800, 1380.6939700), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2518, new Vector3(-2720.6731000, 736.9550200, 1380.7249800), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(2685, new Vector3(-2721.1899400, 736.4780300, 1382.5889900), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2518, new Vector3(-2719.4729000, 736.9550200, 1380.7249800), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(2685, new Vector3(-2720.0148900, 736.4780300, 1382.5889900), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1738, new Vector3(-2709.8068800, 742.1859700, 1381.2960200), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1997, new Vector3(-2682.2710000, 730.5739700, 1380.6929900), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1997, new Vector3(-2685.2710000, 730.5739700, 1380.6929900), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1997, new Vector3(-2688.2710000, 730.5739700, 1380.6929900), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(2267, new Vector3(-2735.1899400, 741.2800300, 1383.1269500), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2260, new Vector3(-2730.6660200, 736.9749800, 1383.1269500), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(2268, new Vector3(-2721.9709500, 741.2800300, 1383.1269500), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1433, new Vector3(-2713.0109900, 725.0990000, 1380.8960000), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1722, new Vector3(-2713.6420900, 727.5689700, 1380.6939700), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1433, new Vector3(-2703.9121100, 727.3960000, 1380.8960000), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1722, new Vector3(-2703.3129900, 726.0200200, 1380.6939700), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2518, new Vector3(-2708.3789100, 724.7509800, 1380.7249800), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(2518, new Vector3(-2706.3789100, 724.7509800, 1380.7249800), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(2269, new Vector3(-2713.4838900, 726.8720100, 1383.1269500), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2685, new Vector3(-2708.9209000, 724.2470100, 1382.5889900), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(2685, new Vector3(-2706.3789100, 724.2470100, 1382.5889900), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(2685, new Vector3(-2706.3789100, 724.2470100, 1382.5889900), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(2685, new Vector3(-2706.8950200, 724.2470100, 1382.5889900), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(1722, new Vector3(-2692.4489700, 722.1779800, 1380.6760300), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1722, new Vector3(-2692.4489700, 721.1779800, 1380.6760300), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1722, new Vector3(-2692.4489700, 720.1779800, 1380.6760300), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1722, new Vector3(-2692.4489700, 717.1779800, 1380.6760300), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1722, new Vector3(-2692.4489700, 716.1779800, 1380.6760300), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1722, new Vector3(-2696.7849100, 716.1779800, 1380.6760300), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1722, new Vector3(-2696.7849100, 715.1779800, 1380.6760300), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1722, new Vector3(-2696.7849100, 717.1779800, 1380.6760300), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1722, new Vector3(-2696.7849100, 712.1779800, 1380.6760300), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1722, new Vector3(-2696.7849100, 711.1779800, 1380.6760300), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1722, new Vector3(-2696.7849100, 705.1779800, 1380.6760300), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1722, new Vector3(-2696.7849100, 706.1779800, 1380.6760300), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1722, new Vector3(-2696.7849100, 704.1779800, 1380.6760300), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1722, new Vector3(-2696.7849100, 703.1779800, 1380.6760300), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1722, new Vector3(-2692.4489700, 707.1779800, 1380.6760300), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1722, new Vector3(-2692.4489700, 706.1779800, 1380.6760300), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1722, new Vector3(-2692.4489700, 705.1779800, 1380.6760300), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1722, new Vector3(-2692.4489700, 704.1779800, 1380.6760300), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1722, new Vector3(-2692.4489700, 700.8839700, 1380.6760300), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1722, new Vector3(-2692.4489700, 699.8839700, 1380.6760300), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1722, new Vector3(-2692.4489700, 698.8839700, 1380.6760300), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1726, new Vector3(-2692.1521000, 743.1420300, 1380.6120600), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1726, new Vector3(-2689.1521000, 745.1510000, 1380.6120600), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1726, new Vector3(-2692.1521000, 737.1420300, 1380.6120600), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1726, new Vector3(-2689.1521000, 739.1510000, 1380.6120600), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1827, new Vector3(-2690.6521000, 738.1510000, 1380.6960400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1827, new Vector3(-2690.6521000, 744.1510000, 1380.6960400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1726, new Vector3(-2680.4880400, 745.1510000, 1380.6120600), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1726, new Vector3(-2680.4880400, 742.1510000, 1380.6120600), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1726, new Vector3(-2680.4880400, 739.1510000, 1380.6120600), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(2269, new Vector3(-2692.3911100, 741.2800300, 1383.1269500), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1827, new Vector3(-2682.1420900, 744.1510000, 1380.6960400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1827, new Vector3(-2682.1420900, 741.1510000, 1380.6960400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(1827, new Vector3(-2682.1420900, 738.1510000, 1380.6960400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2813, new Vector3(-2682.0730000, 741.1879900, 1381.1230500), new Vector3(0.0000000, 0.0000000, 47.0000000));
            new DynamicObject(2816, new Vector3(-2682.1479500, 738.0080000, 1381.1230500), new Vector3(0.0000000, 0.0000000, 47.0000000));
            new DynamicObject(2825, new Vector3(-2682.1330600, 744.2370000, 1381.1230500), new Vector3(0.0000000, 0.0000000, 47.0000000));
            new DynamicObject(2266, new Vector3(-2685.3391100, 745.4099700, 1383.1269500), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2994, new Vector3(-2692.9809600, 714.4990200, 1381.1999500), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2994, new Vector3(-2692.9809600, 712.4990200, 1381.1999500), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2994, new Vector3(-2692.9809600, 710.4990200, 1381.1999500), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2994, new Vector3(-2692.9809600, 708.4990200, 1381.1999500), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2637, new Vector3(-2690.3369100, 727.8700000, 1381.1159700), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2636, new Vector3(-2690.9628900, 728.8300200, 1381.2840600), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2636, new Vector3(-2689.7109400, 728.8300200, 1381.2840600), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2637, new Vector3(-2690.3369100, 724.8700000, 1381.1159700), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2636, new Vector3(-2690.9628900, 725.8300200, 1381.2840600), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2636, new Vector3(-2689.7109400, 725.8300200, 1381.2840600), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2637, new Vector3(-2690.3369100, 721.8700000, 1381.1159700), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2636, new Vector3(-2690.9628900, 722.8300200, 1381.2840600), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2636, new Vector3(-2689.7109400, 722.8300200, 1381.2840600), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2637, new Vector3(-2686.3369100, 727.8700000, 1381.1159700), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2637, new Vector3(-2686.3369100, 724.8700000, 1381.1159700), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2637, new Vector3(-2686.3369100, 721.8700000, 1381.1159700), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(2636, new Vector3(-2685.7109400, 728.8300200, 1381.2840600), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2636, new Vector3(-2686.9628900, 728.8300200, 1381.2840600), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2636, new Vector3(-2685.7109400, 725.8300200, 1381.2840600), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2636, new Vector3(-2685.7109400, 722.8300200, 1381.2840600), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2636, new Vector3(-2686.9628900, 725.8300200, 1381.2840600), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2636, new Vector3(-2686.9628900, 722.8300200, 1381.2840600), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1887, new Vector3(-2682.0258800, 726.9429900, 1380.6960400), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1888, new Vector3(-2680.9340800, 726.9429900, 1380.6960400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1888, new Vector3(-2682.0258800, 723.7329700, 1380.6960400), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1887, new Vector3(-2682.0258800, 720.6069900, 1380.6960400), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1887, new Vector3(-2680.9340800, 723.7329700, 1380.6960400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1888, new Vector3(-2680.9340800, 720.6069900, 1380.6960400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(1885, new Vector3(-2691.5271000, 717.3250100, 1380.6960400), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(1885, new Vector3(-2690.5271000, 717.3250100, 1380.6960400), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(3383, new Vector3(-2690.1960400, 715.3540000, 1380.6949500), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(3383, new Vector3(-2690.1960400, 707.3540000, 1380.6949500), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(3383, new Vector3(-2679.9021000, 715.3540000, 1380.6949500), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(3390, new Vector3(-2679.9021000, 711.3540000, 1380.6949500), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(3383, new Vector3(-2679.8989300, 707.3339800, 1380.6949500), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(3390, new Vector3(-2690.1960400, 711.3540000, 1380.6949500), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(3392, new Vector3(-2679.8989300, 700.8830000, 1380.6949500), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(2518, new Vector3(-2687.4489700, 717.3140300, 1380.5660400), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(2518, new Vector3(-2686.4489700, 717.3140300, 1380.5660400), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(2518, new Vector3(-2685.4489700, 717.3140300, 1380.5660400), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(2685, new Vector3(-2686.9589800, 716.8519900, 1382.5870400), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(2518, new Vector3(-2686.4489700, 697.6500200, 1380.5660400), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(2685, new Vector3(-2686.9589800, 697.1879900, 1382.5870400), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(2518, new Vector3(-2688.4489700, 697.6500200, 1380.5660400), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(2685, new Vector3(-2688.9589800, 697.1879900, 1382.5870400), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(19874, new Vector3(-2689.1840800, 697.2329700, 1381.5030500), new Vector3(0.0000000, 0.0000000, -33.0000000));
            new DynamicObject(19874, new Vector3(-2687.1870100, 697.2730100, 1381.5179400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(19874, new Vector3(-2688.1731000, 716.8770100, 1381.5319800), new Vector3(0.0000000, 0.0000000, -18.0000000));
            new DynamicObject(19874, new Vector3(-2687.1731000, 716.8770100, 1381.5319800), new Vector3(0.0000000, 0.0000000, 4.0000000));
            new DynamicObject(19874, new Vector3(-2686.1731000, 716.8770100, 1381.5319800), new Vector3(0.0000000, 0.0000000, 149.0000000));
            new DynamicObject(19874, new Vector3(-2720.1860400, 736.5280200, 1381.6590600), new Vector3(0.0000000, 0.0000000, 18.0000000));
            new DynamicObject(19874, new Vector3(-2721.3811000, 736.4940200, 1381.6590600), new Vector3(0.0000000, 0.0000000, 18.0000000));
            new DynamicObject(3383, new Vector3(-2707.2470700, 744.8740200, 1380.6960400), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(3390, new Vector3(-2708.6989700, 741.8519900, 1380.6960400), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(3383, new Vector3(-2702.2470700, 744.8740200, 1380.6960400), new Vector3(0.0000000, 0.0000000, 180.0000000));
            new DynamicObject(3391, new Vector3(-2697.2429200, 744.8740200, 1380.6960400), new Vector3(0.0000000, 0.0000000, 90.0000000));
            new DynamicObject(3383, new Vector3(-2707.5280800, 737.4090000, 1380.6960400), new Vector3(0.0000000, 0.0000000, 0.0000000));
            new DynamicObject(3393, new Vector3(-2703.3010300, 737.4090000, 1380.6960400), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(3389, new Vector3(-2700.3010300, 737.3250100, 1380.6960400), new Vector3(0.0000000, 0.0000000, -90.0000000));
            new DynamicObject(2263, new Vector3(-2693.5559100, 741.2789900, 1383.1269500), new Vector3(0.0000000, 0.0000000, -90.0000000));
        }
    }
}
